<template>
  <div class="status">
    <div class="container">
        <div class="row">
            <div class="col">
                <p :class="{ small: size <= 1}" v-for="m in messages" :key="m.i">{{ m.msg }}</p>
            </div>
        </div>
    </div>
  </div>
</template>

<script>
export default {
    name: 'Status',
    data: () => {
        return {
            messages: []
        }
    },
    props: {
        maxLength: Number,
        size: Number,
    },
    methods: {
        pushMsg (message) {
            var msgobj = { msg: message, i: Date.now() }
            this.messages.unshift(msgobj)
            while (this.messages.length > this.maxLength) {
                this.messages.pop()
            }
        }
    },
}
</script>

<style scoped>
p {
    margin: 0.15rem;
}
</style>
